Subject: Re: use git-daemon by git://IP/path?

From: Dirk Süsserott <[email-masked]>
Date: Fri, 12 Jun 2009 16:41:01 +0200

Am 12.06.2009 16:16 schrieb Jeff King:
> On Fri, Jun 12, 2009 at 03:54:08PM +0200, Dirk Süsserott wrote:
> 
>>> Also, in general, how can it be set up, that >1 people have a write 
>>> access to the same repository? Only by using the same login? 
>> Have a look at the "--shared" option of "git init". That's supposed to  
> 
> I have also had good experiences with POSIX ACLs for sharing
> repositories:
> 
>   setfacl -R -m d:u:$user:rwX -m u:$user:rwX /path/to/repo
> 
> which gets rid of dealing with group management.  Of course your
> filesystem has to support them. :)

That's the best way, of course. We use it at work to have 'release'
repositories where only a dedicated maintainer and his deputy can
push to. Our developers push to their 'public' repos and the maintainer
then pulls their changes and pushes them to 'release' -- just like Junio 
does here :-)

     Dirk